﻿using System;
using System.Windows;
using System.Data;
using Infragistics.Controls.Charts;
using System.Windows.Controls;
using System.Windows.Documents;

namespace WPF_Add_Sparkline
{
    public partial class MainWindow : Window
    {
        private XamSparkline sparkline;
        public MainWindow()
        {
            InitializeComponent();

            DataTable dtResults = new DataTable();

            DataColumn col1 = new DataColumn();
            col1.DataType = typeof(XamSparkline);
            col1.ColumnName = "Sparkline";
            col1.ReadOnly = false;
            dtResults.Columns.Add(col1);

            DataColumn col2 = new DataColumn();
            col2.DataType = typeof(TextBlock);
            col2.ColumnName = "Link";
            col2.ReadOnly = false;
            dtResults.Columns.Add(col2);

            DataRow row1;
            row1 = dtResults.NewRow();
            dtResults.Rows.Add(row1);

            DataRow row2;
            row2 = dtResults.NewRow();
            dtResults.Rows.Add(row2);

            foreach (DataRow row in dtResults.Rows)
            {
                TextBlock tb1 = new TextBlock();
                Hyperlink hlink = new Hyperlink(new Run("click"));
                hlink.TargetName = "blank";
                hlink.NavigateUri = new Uri("http://testpage1.aspx?ID=" + row.ToString());
                tb1.Inlines.Clear();
                tb1.Inlines.Add(hlink);


                // Add the hyperlink to the DataTable
                row["Link"] = tb1;


                // Add Sparkline to the DataTable
                sparkline = new XamSparkline();
                sparkline.ItemsSource = new TestData();
                sparkline.ValueMemberPath = "Value";
                sparkline.ToolTipVisibility = System.Windows.Visibility.Visible;
                row["Sparkline"] = sparkline;


                // Add items to xamDataGrid's DataItems collection
                xamDataGrid1.DataItems.Add(row);
            }
        }
    }
}
